## opari 1.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

## opari 1.1+dfsg

=== lib/Makefile ===
FLAGS = -O

# -- Linux / PGI compiler
F90 = pgf90
CC  = pgcc
OMPF90 = pgf90 -mp
OMPCC  = pgcc -mp
OMPCXX = pgCC -mp

# -- IBM / AIX compiler
#F90 = xlf -qextname
#CC  = xlc
#OMPF90 = xlf90_r -qsmp -qextname -qsuffix=cpp=F90
#OMPCC  = xlc_r -qsmp -D_OPENMP
#OMPCXX = xlC_r -qsmp -D_OPENMP

# -- SGI / IRIX compiler
#F90 = f90
#CC = cc
#OMPF90 = f90 -mp -cpp
#OMPCC  = cc -mp
#OMPCXX = CC -mp -LANG:std

all: test example

pomp_lib.o: pomp_lib.c pomp_lib.h
	$(OMPCC) $(FLAGS) -c pomp_lib.c

pomp_flib.o: pomp_flib.f90
	$(OMPF90) $(FLAGS) -c pomp_flib.f90

pomp_fwrapper.o: pomp_fwrapper.c pomp_lib.h
	@rm -f pomp_fwrapper_def.h
	$(CC) -c foos.c
	$(F90) foos.o getfname.f -o getfname -lc
	./getfname > pomp_fwrapper_def.h
	$(OMPCC) $(FLAGS) -c pomp_fwrapper.c

libpomp.a: pomp_lib.o pomp_flib.o pomp_fwrapper.o
	ar -rc libpomp.a pomp_lib.o pomp_flib.o pomp_fwrapper.o

test: ../tool/opari libpomp.a
	# Fortran test
	rm -f opari.rc
	../tool/opari -table opari.tab.c pomp_test.f90
	$(OMPCC) $(FLAGS) -c opari.tab.c
	$(OMPF90) $(FLAGS) pomp_test.mod.F90 opari.tab.o -L. -lpomp -o pomp_test_f
	# C test
	rm -f opari.rc
	../tool/opari -table opari.tab.c pomp_test.c
	$(OMPCC) $(FLAGS) -c opari.tab.c
	$(OMPCC) $(FLAGS) pomp_test.mod.c opari.tab.o -L. -lpomp -o pomp_test_c

example: ../tool/opari libpomp.a
	# Fortran example
	rm -f opari.rc
	../tool/opari -nosrc -table opari.tab.c transformations.f90
	$(OMPCC) $(FLAGS) -c opari.tab.c
	$(OMPF90) $(FLAGS) transformations.mod.f90 opari.tab.o -L. -lpomp -o trans_f
	# C example
	rm -f opari.rc
	../tool/opari -nosrc -table opari.tab.c transformations.c
	$(OMPCC) $(FLAGS) -c opari.tab.c
	$(OMPCC) $(FLAGS) transformations.mod.c opari.tab.o -L. -lpomp -o trans_c
	# C++ example
	rm -f opari.rc
	../tool/opari -nosrc -table opari.tab.c transformations.cc
	$(OMPCC) $(FLAGS) -c opari.tab.c
	$(OMPCXX) $(FLAGS) transformations.mod.cc opari.tab.o -L. -lpomp -o trans_cc

clean:
	rm -f core a.out *.o *.mod pomp_test_f pomp_test_c
	rm -f opari.tab.c opari.rc pomp_fwrapper_def.h
	rm -f pomp_test.mod.* pomp_test.*.opari.inc
	rm -f transformations.mod.* transformations.*.opari.inc
	rm -f trans_c trans_cc trans_f getfname libpomp.a
	rm -rf Templates.DB tempinc ti_files ii_files rii_files
	rm -rf SunWS_cache cxx_repository

=== tool/Makefile ===
.SUFFIXES: .cc .o

OPT = -O

# -- generic / KAI KCC 3.x or 4.x 
CXX = KCC
CXX = KCC-4.0
#CCFLAGS = $(OPT) --strict #-DEBUG
CCFLAGS = $(OPT) --linux_strict #-DEBUG

# -- generic / GNU g++ 2.95.x or 3.x
#CXX = g++
#CCFLAGS = $(OPT) -Wall -ansi -pedantic #-DEBUG

# -- IBM / AIX xlC 5.x
#CXX = xlC
#CCFLAGS = $(OPT)

# -- SGI / IRIX CC 7.3.1
#CXX = CC
#CCFLAGS = $(OPT) -LANG:std -Ifixinc

# -- SUN / Solaris CC 6.1
#CXX = CC
#CCFLAGS = $(OPT)

OBJS = opari.o process_c.o process_f.o process_omp.o \
	ompragma.o ompragma_c.o ompragma_f.o handler.o

opari: $(OBJS)
	$(CXX) $(CCFLAGS) -o opari $(OBJS)

.cc.o:
	$(CXX) $(CCFLAGS) -c $*.cc

clean:
	rm -rf core a.out *.o opari out
	rm -rf Templates.DB tempinc ti_files ii_files rii_files
	rm -rf SunWS_cache cxx_repository
	(cd Test; make clean)

test: opari
	(cd Test; make test)

handler.o: handler.cc handler.h opari.h ompragma.h ompregion.h
ompragma.o: ompragma.cc ompragma.h
ompragma_f.o: ompragma_f.cc ompragma.h
ompragma_c.o: ompragma_c.cc ompragma.h
opari.o: opari.cc opari.h ompragma.h handler.h
process_c.o: process_c.cc opari.h ompragma.h handler.h
process_f.o: process_f.cc opari.h ompragma.h handler.h
process_omp.o: process_omp.cc opari.h ompragma.h handler.h

=== tool/Test/Makefile ===
clean:
	rm -rf opari.rc *.mod.* *.opari.inc opari.tab.c

test: ../opari ftest ctest

ftest: ../opari
	@rm -f opari.rc
	./f90_test.sh
	./f77_test.sh
	diff out.oparirc.f opari.rc
	diff opari.tab.c opari.tab.f.out
	./table_test.sh f

ctest: ../opari
	@rm -f opari.rc
	./c_test.sh
	./table_test.sh c

=== debian/changelog ===
opari (1.1+dfsg-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * not-installed: Record that we intentionally don't install .la files.
  * rules: Run testsuite without parallelism.
  * watch: Drop, upstream stopped working on it, opari2 should be used
    instead.

  [ Debian Janitor ]
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove Section on libpomp0 that duplicates source.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Sep 2020 17:32:47 +0200

opari (1.1+dfsg-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * source/options: Remove compression option.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 13:35:18 +0100

opari (1.1+dfsg-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Oct 2018 23:35:52 +0100

opari (1.1+dfsg-6) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.4.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:28:55 +0200

opari (1.1+dfsg-5) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear.
  * control: Drop hardening-wrapper dependency (Closes: Bug#836640).
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:33:34 +0200

opari (1.1+dfsg-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.6 (no changes).
  * Drop Homepage URL, upstream doesn't exist any more.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:43:45 +0100

opari (1.1+dfsg-3) unstable; urgency=low

  * control: Make libpomp-dev Multi-Arch: same.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:37:15 +0200

opari (1.1+dfsg-2) unstable; urgency=low

  * control: Change opari's section to devel to avoid deborphan dropping it.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 May 2012 11:04:31 +0200

opari (1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #669641)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 May 2012 19:50:26 +0200

=== debian/control ===
Source: opari
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), gfortran
Standards-Version: 4.5.0
Section: libs
Vcs-Git: https://salsa.debian.org/debian/opari.git
Vcs-Browser: https://salsa.debian.org/debian/opari

Package: opari
Section: devel
Architecture: any
Multi-arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libpomp-dev
Description: OpenMP Pragma And Region Instrumentor - translation tool
 OPARI is a source-to-source translation tool which automatically adds all
 necessary calls to the pomp runtime measurement library which allows one to
 collect runtime performance data of Fortran, C, or C++ OpenMP applications.
 .
 This package contains the translation tool.

Package: libpomp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpomp0 (= ${binary:Version}), ${misc:Depends}
Description: OpenMP Pragma And Region Instrumentor - development files
 OPARI is a source-to-source translation tool which automatically adds all
 necessary calls to the pomp runtime measurement library which allows one to
 collect runtime performance data of Fortran, C, or C++ OpenMP applications.
 .
 This package contains the development files.

Package: libpomp0
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenMP Pragma And Region Instrumentor - shared library
 OPARI is a source-to-source translation tool which automatically adds all
 necessary calls to the pomp runtime measurement library which allows one to
 collect runtime performance data of Fortran, C, or C++ OpenMP applications.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# Testsuite doesn't work in parallel.
	dh_auto_test --no-parallel

=== debian/tests/control ===
Depends: opari, build-essential
Tests: opari
